/* Automatically generated by './build/bin/build-entry.js' */

import Icon from '../packages/icon/index.js';
import MessageBox from '../packages/message-box/index.js';
import Notification from '../packages/notification/index.js';
import Loading from '../packages/loading/index.js';
import Message from '../packages/message/index.js';
import InfiniteScroll from '../packages/infinite-scroll/index.js';
import TestComponent from '../packages/test-component/index.js';
import DragDialog from '../packages/drag-dialog/index.js';
import DragModal from '../packages/drag-modal/index.js';
import EnvBox from '../packages/env-box/index.js';
import BarChart from '../packages/bar-chart/index.js';
import PieChart from '../packages/pie-chart/index.js';
import LineChart from '../packages/line-chart/index.js';
import LiquidfillChart from '../packages/liquidfill-chart/index.js';
import GaugeChart from '../packages/gauge-chart/index.js';
import ThreedpieChart from '../packages/threedpie-chart/index.js';
import RadarChart from '../packages/radar-chart/index.js';
import RingChart from '../packages/ring-chart/index.js';
import PolarChart from '../packages/polar-chart/index.js';
import EchartsEl from '../packages/echarts-el/index.js';
import EchartLegend from '../packages/echart-legend/index.js';
import DialogBlack from '../packages/dialog-black/index.js';
import DragTabDialog from '../packages/drag-tab-dialog/index.js';
import ShrinkSubMenu from '../packages/shrink-sub-menu/index.js';
import CollapseBox from '../packages/collapse-box/index.js';
import ExportFile from '../packages/export-file/index.js';
import FullScreenBox from '../packages/full-screen-box/index.js';
import InfiniteScrollBox from '../packages/infinite-scroll-box/index.js';
import TreeStructure from '../packages/tree-structure/index.js';
import CustomTable from '../packages/custom-table/index.js';
import CommonTable from '../packages/common-table/index.js';
import DialogBlue from '../packages/dialog-blue/index.js';
import locale from 'element-ui/src/locale';
import CollapseTransition from 'element-ui/src/transitions/collapse-transition';

const components = [
  Icon,
  TestComponent,
  DragDialog,
  DragModal,
  EnvBox,
  BarChart,
  PieChart,
  LineChart,
  LiquidfillChart,
  GaugeChart,
  ThreedpieChart,
  RadarChart,
  RingChart,
  PolarChart,
  EchartsEl,
  EchartLegend,
  DialogBlack,
  DragTabDialog,
  ShrinkSubMenu,
  CollapseBox,
  ExportFile,
  FullScreenBox,
  InfiniteScrollBox,
  TreeStructure,
  CustomTable,
  CommonTable,
  DialogBlue,
  CollapseTransition
];

const install = function(Vue, opts = {}) {
  locale.use(opts.locale);
  locale.i18n(opts.i18n);

  components.forEach(component => {
    Vue.component(component.name, component);
  });

  Vue.use(InfiniteScroll);
  Vue.use(Loading.directive);

  Vue.prototype.$ELEMENT = {
    size: opts.size || '',
    zIndex: opts.zIndex || 2000
  };

  Vue.prototype.$loading = Loading.service;
  Vue.prototype.$msgbox = MessageBox;
  Vue.prototype.$alert = MessageBox.alert;
  Vue.prototype.$confirm = MessageBox.confirm;
  Vue.prototype.$prompt = MessageBox.prompt;
  Vue.prototype.$notify = Notification;
  Vue.prototype.$message = Message;

};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  version: '0.1.1',
  locale: locale.use,
  i18n: locale.i18n,
  install,
  CollapseTransition,
  Loading,
  Icon,
  MessageBox,
  Notification,
  Message,
  InfiniteScroll,
  TestComponent,
  DragDialog,
  DragModal,
  EnvBox,
  BarChart,
  PieChart,
  LineChart,
  LiquidfillChart,
  GaugeChart,
  ThreedpieChart,
  RadarChart,
  RingChart,
  PolarChart,
  EchartsEl,
  EchartLegend,
  DialogBlack,
  DragTabDialog,
  ShrinkSubMenu,
  CollapseBox,
  ExportFile,
  FullScreenBox,
  InfiniteScrollBox,
  TreeStructure,
  CustomTable,
  CommonTable,
  DialogBlue
};
