/**
 * 设置更新echarts
 * @param {*} id 
 * @param {*} option 
 */
 function updateChartOption(id, option) {
    let currentDom = document.querySelector(`#${id}`);
    let myChart = echarts.getInstanceByDom(currentDom);
    if (!myChart) {
        myChart = echarts.init(currentDom);
    }
    myChart.setOption(option);
}

export default {
    updateLiquidFillChart(chartData,id) {
        let value = chartData / 100;
        let option = {
            title: {
                text: `${chartData}%`,
                subtext: "设备在线率",
                left: 'center',
                top: 'center',
                itemGap: 0,
                textStyle: {
                    color: '#FFFFFF',
                    fontSize: '24',
                    fontFamily: 'OPPOSans-B',
                    fontWeight: 400,
                    textShadowColor: 'rgba(0, 0, 0, 0.35)',
                    textShadowOffsetY: '2',
                    textShadowBlur: '6'
                },
                subtextStyle: {
                    color: 'rgba(255, 255, 255, 0.7)',
                    fontSize: '14',
                    fontFamily: 'SourceHanSansCN-Regular',
                    fontWeight: 400,
                    textShadowColor: 'rgba(0, 0, 0, 0.35)',
                    textShadowOffsetY: '2',
                    textShadowBlur: '6'
                }
            },
            series: [{
                type: 'liquidFill',
                animationDuration: 1000,
                radius: '80%',
                center: ['50%', '50%'],
                color: [{
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: '#16FFF1' // 0% 处的颜色
                    }, {
                        offset: 1,
                        color: '#37D3FF' // 100% 处的颜色
                    }]
                }],
                data: [value, value], // data个数代表波浪数
                backgroundStyle: {
                    borderWidth: 1,
                    borderColor: 'rgba(55, 211, 255, 0.42)',
                    color: 'rgba(12, 41, 49, 0.6)'
                },
                label: {
                    normal: {
                        formatter: ''
                    }
                },
                outline: {
                    show: false,
                }
            }]
        }
        updateChartOption(id, option);
    }
}